package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电力产能预测对象 adm_ems_elec_prod_forecast
 *
 * @author ruoyi
 * @date 2024-08-12
 */
public class ElecProdForecast extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 设施代码 */
    @Excel(name = "设施代码")
    private String facsCode;

    @Excel(name = "园区名称")
    private String areaName;

    @Excel(name = "设施名称")
    private String facsName;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 发电量（千瓦·时） */
    @Excel(name = "发电量", readConverterExp = "千=瓦·时")
    private Double elecProdQuantity;

    /** 功率（千瓦） */
    @Excel(name = "功率", readConverterExp = "千=瓦")
    private Double avgPower;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAreaCode(String areaCode)
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode()
    {
        return areaCode;
    }
    public void setFacsCode(String facsCode)
    {
        this.facsCode = facsCode;
    }

    public String getFacsCode()
    {
        return facsCode;
    }
    public void setDate(Date date)
    {
        this.date = date;
    }

    public Date getDate()
    {
        return date;
    }
    public void setElecProdQuantity(Double elecProdQuantity)
    {
        this.elecProdQuantity = elecProdQuantity;
    }

    public Double getElecProdQuantity()
    {
        return elecProdQuantity;
    }
    public void setAvgPower(Double avgPower)
    {
        this.avgPower = avgPower;
    }

    public Double getAvgPower()
    {
        return avgPower;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getFacsName() {
        return facsName;
    }

    public void setFacsName(String facsName) {
        this.facsName = facsName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("facsCode", getFacsCode())
            .append("date", getDate())
            .append("elecProdQuantity", getElecProdQuantity())
            .append("avgPower", getAvgPower())
            .toString();
    }
}
